# MPQC::GaussianBasis_Molecular_impl Class Reference

Symbol "MPQC.GaussianBasis_Molecular" (version 0.2). More...

`#include <MPQC_GaussianBasis_Molecular_Impl.hh>`

List of all members.

## Public Member Functions
| GaussianBasis_Molecular_impl (struct MPQC_GaussianBasis_Molecular__object *s)
void | _ctor ()
void | _dtor ()
void | initialize (void *scbasis, const ::std::string &label) throw ()
| user defined non-static method.
void * | sc_gbs_pointer () throw ()
| user defined non-static method.
::std::string | get_label () throw ()
| Get the user specified name.
int64_t | get_n_basis () throw ()
| Get the number of basis functions.
int64_t | get_n_shell () throw ()
| Get the number of shells.
int64_t | get_max_angular_momentum () throw ()
| Get the max angular momentum for any contraction in the basis set.
::Chemistry::QC::GaussianBasis::AngularType | get_angular_type () throw ()
| Get the angular type.
::Chemistry::QC::GaussianBasis::Atomic | get_atomic (int64_t atomnum) throw ()
| Get an atomic basis set.
::Chemistry::Molecule | get_molecule () throw ()
| Get the molecule.
void | print_molecular () throw ()
| Print the molecular basis data.
## Static Public Member Functions
static void | _load ()

## Detailed Description

Symbol "MPQC.GaussianBasis_Molecular" (version 0.2).

GaussianBasis_Molecular_impl implements a class interface for molecular gaussian basis set data.

This is an implementation of a SIDL interface. The stub code is generated by the Babel tool. Do not make modifications outside of splicer blocks, as these will be lost. This is a server implementation for a Babel class, the Babel client code is provided by the cca-chem-generic package.

## Member Function Documentation

::Chemistry::QC::GaussianBasis::AngularType MPQC::GaussianBasis_Molecular_impl::get_angular_type | ( |  | ) | throw ()

Get the angular type.

Returns:
  enum AngularType {CARTESIAN,SPHERICAL,MIXED}

::Chemistry::QC::GaussianBasis::Atomic MPQC::GaussianBasis_Molecular_impl::get_atomic | ( | int64_t | atomnum | ) | throw ()

Get an atomic basis set.

Parameters:

  | atomnum | Atom number.

Returns:
  Atomic basis set.

::std::string MPQC::GaussianBasis_Molecular_impl::get_label | ( |  | ) | throw ()

Get the user specified name.

Returns:
  User specified name.

int64_t MPQC::GaussianBasis_Molecular_impl::get_max_angular_momentum | ( |  | ) | throw ()

Get the max angular momentum for any contraction in the basis set.

Returns:
  Max angular momentum value.

::Chemistry::Molecule MPQC::GaussianBasis_Molecular_impl::get_molecule | ( |  | ) | throw ()

Get the molecule.

Returns:
  The molecule.

int64_t MPQC::GaussianBasis_Molecular_impl::get_n_basis | ( |  | ) | throw ()

Get the number of basis functions.

Returns:
  Number of basis functions.

int64_t MPQC::GaussianBasis_Molecular_impl::get_n_shell | ( |  | ) | throw ()

Get the number of shells.

Returns:
  Number of shells.

The documentation for this class was generated from the following file:

- MPQC_GaussianBasis_Molecular_Impl.hh